Bug 980447 - Problem with handling wallpaper
Problem with handling wallpaper
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-themes-standard (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Cosimo Cecchi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-02 07:58 EDT by piio
Modified: 2015-06-29 10:30 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:02:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of missing wallpaper (259.81 KB, image/png)
2013-07-10 08:17 EDT, Jan Horak
no flags Details
Examples of wallpaper selections (882.51 KB, application/zip)
2013-08-25 16:45 EDT, amreg
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1159430 None None None Never

  None (edit)
Description piio 2013-07-02 07:58:42 EDT
Description of problem:

Using gnome-shell 3.9.2 my desktop background is missing.
I found similar bug https://bugs.launchpad.net/ubuntu-gnome/+bug/1159430
When I overwrited background color for Nautilus to transparent, my wallpaper is visible again.

NautilusDesktopWindow GtkWidget {
 background-color: @transparent;
}

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Set nautilus to handle desktop
2. Set wallpaper

Actual results:
Desktop wallpaper is gray

Expected results:
I see my wallpaper on desktop

Additional info:
Comment 1 Jan Horak 2013-07-10 08:17:33 EDT
Created attachment 771586 [details]
Screenshot of missing wallpaper

I'm also seeing this with Gnome Shell Classic session on Fedora 19. The component should probably be gnome-shell or nautilus.

nautilus-3.8.2-1.fc19.x86_64
gnome-classic-session-3.8.3-2.fc19.noarch

Screenshot SIA.
Comment 2 amreg 2013-08-25 16:45:11 EDT
Created attachment 790169 [details]
Examples of wallpaper selections

The same issue occurs without opening a nautilus windows.

I use Fedora 19. I just installed a basic set of backgrounds:
gnome-backgrounds-3.8.1-1.fc19
desktop-backgrounds-gnome-19.0.0-2.fc19
schroedinger-cat-backgrounds-base-18.91.0-1.fc19
schroedinger-cat-backgrounds-gnome-18.91.0-1.fc19
schroedinger-cat-backgrounds-animated-18.91.0-1.fc19
That's all. No Beefy Miracle, no Fedora Jam, ...: useless to try them as long as the following is not fixed.

Some basic wallpapers show well when selected (cf. capture #1), but others don't (cf. captures #2 & 3).
These captures were made just at session opening. nautilus is not running.

I dont' know if this is a problem of bit depth of someting like that, because :
- the bit depth of the standard backgounds file is not shown in the background selection panel,
- the bit depth of the display itself is not shown in the "display" panel (this panel only shows the resolution -in my case a standard 1280*1024 because I still use a non-wide screen- and the aspect ratio, but not the bit depth).

I don't think the issue is related to aspect ratio because the wallpapers that show fine, and those that don't show, seem to have the same aspect ratio.

Needless to say, the problem occurs both in "GNOME" and "GNOME Classic" sessions.
Comment 3 Marco Ronconi 2013-09-12 08:04:10 EDT
Same here. Background always white in fc19. 
Tried with and without nautilus, tried to turn off all gnome-tweak-tool options, tried many workarounds found in web: nothing. Both in gnome and in gnome classic.


gnome-shell-3.8.4-2.fc19.i686
nautilus-3.8.2-1.fc19.i686
Comment 4 Fedora End Of Life 2013-09-16 10:22:01 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 5 Andrew Meredith 2013-12-09 10:35:36 EST
In my case the backdrop is pure white. I go into the control panel and change it to either a potted backdrop or one from my Pictures folder and it changes to that backdrop ... for a bit .. then, apropos of nothing, drops back to pure white again.
Comment 6 Fedora End Of Life 2015-05-29 05:09:07 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Andrew Meredith 2015-05-29 05:17:18 EDT
I set my background to one of the pictures in my Pictures folder about 10 minutes ago and now I go to check, the background is pure black again. This is the one recent difference. it used to fall back to white and now falls back to black.

I am now using Fedora 21, so this bug is still present in that version.

Please do not close this ticket.
Comment 8 Fedora End Of Life 2015-06-29 08:02:48 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 Andrew Meredith 2015-06-29 10:30:16 EDT
Please see comment 7:

I set my background to one of the pictures in my Pictures folder about 10 minutes ago and now I go to check, the background is pure black again. This is the one recent difference. it used to fall back to white and now falls back to black.

I am now using Fedora 21, so this bug is still present in that version.

Please do not close this ticket.

Note You need to log in before you can comment on or make changes to this bug.